Summary: Tool for translating XML documents
Name: xml2po
Version: 1.0.11
Release: 1
License: GPL
Group: Development/Tools
# Is there a main url for tgzs?
Source0: cvs://gnome.org/%{name}-%{version}.tar.gz
URL: http://cvs.gnome.org/viewcvs/gnome-doc-utils/xml2po/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: libxml > 2.0, libxml2-python, python

%description
xml2po is a simple Python program which extracts translatable content
from free-form XML documents and outputs gettext compatible POT
files.

It can work it's magic with most "simple" tags, and for complicated
tags one has to provide a list of all tags which are "final" (that
will be put into one "message" in PO file), "ignored" (skipped over)
and "space preserving".

I will try to provide sane defaults for DocBook documents and other
common document types (like Gnome Summaries, XHTML).  For other kinds
of documents, it is possible to use "-a" (--automatic-tags) to choose
suitable translatable pieces.  It usually works very well.



%prep
%setup -q

%build
rm -rf $RPM_BUILD_ROOT
./configure --prefix $RPM_BUILD_ROOT
make

%install
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc NEWS COPYING AUTHORS TODO INSTALL README
/*

%changelog
* Fri Jan 21 2005 Ismael Olea <ismael@olea.org> 1.0.11
- First spec.
